VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::vapi::std::StructDefinitions Class Reference

Defines the type descriptors for the top-level types in `com.vmware.vapi.std` package. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | authenticationScheme
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | dynamicID
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | localizableMessage

## Detailed Description

Defines the type descriptors for the top-level types in `com.vmware.vapi.std` package.

WARNING: Internal API, subject to change in future versions.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::std::StructDefinitions::authenticationScheme`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.std.authentication_scheme", fields, typeof(vmware.vapi.std.AuthenticationScheme), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::std::StructDefinitions::dynamicID`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("type", new vmware.vapi.bindings.type.StringType());
                    fields.Add("id", new vmware.vapi.bindings.type.IdType("null"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.std.dynamic_ID", fields, typeof(vmware.vapi.std.DynamicID), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::std::StructDefinitions::localizableMessage`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("id", new vmware.vapi.bindings.type.StringType());
                    fields.Add("default_message", new vmware.vapi.bindings.type.StringType());
                    fields.Add("args", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.StringType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.std.localizable_message", fields, typeof(vmware.vapi.std.LocalizableMessage), validators, false, null);
                })

The documentation for this class was generated from the following file:

- vapi/std/StructDefinitions.cs